Subject: x2goserver.spec does not list xkbcomp as required dependency
From: Michael Ledin <[email-masked]>
To: [email-masked]
Date: Sat, 18 Mar 2017 00:59:29 +0300

Package: x2goserver

Version: 4.0.1.20

I installed x2goserver on Archlinux and everything works perfectly with 
x2goclient except it does not apply keyboard settings. The reason was 
that Archlinux x2goserver package does not depend on xorg-setxkbmap 
though it listed as dependency here 
(https://code.x2go.org/gitweb?p=x2goserver.git;a=blob;f=x2goserver.spec;h=1dbf44f7ee90293d40b610820e2a08ec05f531e0;hb=HEAD) 
and I reported a bug to Archlinux team 
https://bugs.archlinux.org/task/53345.  But also x2go-agent package does 
not list xkbcomp as dependency. Nor does x2goserver.spec though "hexdump 
-C /usr/lib/x2go/bin/x2goagent | grep xkbcomp" says the opposite.

After I installed xorg-setxkbmap and xorg-xkbcomp packages x2goserver 
started to apply keyboard settings normally.

--

Michael Ledin